bitel.billing.server.script.global.bean

## Class GlobalScriptMachine

- java.lang.Object
- - bitel.billing.server.script.global.bean.GlobalScriptMachine

-     public class GlobalScriptMachine
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobalScriptMachine(ScriptInstance function, ConnectionSet connectionSet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `runScript(DefaultServerSetup setup, boolean logProcess)` Запуск скрипта.
    `protected void` | `runScriptImpl(DefaultServerSetup setup, java.sql.Connection con, java.sql.Connection conSlave, java.io.PrintStream outPrintStream, java.io.PrintStream errPrintStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalScriptMachine

          public GlobalScriptMachine(ScriptInstance function,
                                     ConnectionSet connectionSet)

  - ### Method Detail

    - #### runScript

          public java.lang.Object runScript(DefaultServerSetup setup,
                                            boolean logProcess)

      Запуск скрипта.
      Parameters:
        `setup` - сетап.
        `logProcess` - логгировать ли в БД (и возвращать ли результат)
      Returns:
        результат (возможно, строка), может быть null (если logProcess=false)

    - #### runScriptImpl

          protected void runScriptImpl(DefaultServerSetup setup,
                                       java.sql.Connection con,
                                       java.sql.Connection conSlave,
                                       java.io.PrintStream outPrintStream,
                                       java.io.PrintStream errPrintStream)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`